Subject: Re: [Bitcoin-development] Fwd: [BIP 15] Aliases

From: Amir Taaki <[email-masked]>
Date: Tue, 13 Dec 2011 07:46:48 -0800 (PST)

Maybe I wasn't clear enough in the document, but this is the intent with the HTTPS proposal.

[email-masked]

Contacts https://foo.org/bitcoin-alias/?handle=genjix and the system responds with a bitcoin address. Whether the system gives you a new address from a pool of addresses, or contacts the merchant behind the scenes is implementation defined.

I'll clarify it later. This is the relevant line:

string strRequestUrl = strDomain + "/bitcoin-alias/?handle=" + pszEncodedNick;

Between HTTPS service and server service, I lean slightly towards HTTPS (automatic encrypted connection, CAs + all benefits of DNS). But still interested in arguments in favour of a server service (daemon answering queries).

----- Original Message -----
From: Gavin Andresen <[email-masked]>
To: Jorge Timón <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Sent: Tuesday, December 13, 2011 1:06 PM
Subject: Re: [Bitcoin-development] Fwd: [BIP 15] Aliases

I agree with Mike Hearn and Christian Decker-- paying to
[email-masked]' should become, behind the scenes, a HTTPS query to
https://foo.com/something. If you just want to (say) donate to
eff.org, then paying to [email-masked]' aught to work nicely.

And if namecoin ever takes off you'll pay to [email-masked]'.

It seems to me that if it was DNS-based, the address should be
something like 'somebody.bitcoin.foo.com'. But I think it is unlikely
people will setup and run a custom DNS server just to support bitcoin
payments.

-- 
--
Gavin Andresen

------------------------------------------------------------------------------
Systems Optimization Self Assessment
Improve efficiency and utilization of IT resources. Drive out cost and 
improve service delivery. Take 5 minutes to use this Systems Optimization 
Self Assessment. http://www.accelacomm.com/jaw/sdnl/114/51450054/
_______________________________________________
Bitcoin-development mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/bitcoin-development